Subject: RE: [ANNOUNCEMENT] Updated: make 3.79
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 13 Jun 2000 23:51:03 +0000

It's not the echoed line I expect, but the gcc line !

Correct output should be:

==============
Variable MAKE should be set to "/usr/bin/make" automatically!
echo Compiling test
Compiling test
gcc test > /dev/null 2>&1
make: [test] Error 1 (ignored)
echo Echoed line
Echoed line
==============

but I get

==============
Variable MAKE should be set to " " automatically!
Compiling test
make: [test] Error 1 (ignored)
echo Echoed line
Echoed line
==============

BTW: I solved my MAKE bug. It was caused by a function defined in my .bashrc:
declare -fx MAKE ()
{
    make -r -f `basename "$PWD"`.mak $*
}

So my MAKE is now "make" also, leaving over the @ problem ...

---------------------------------------- Message History ----------------------------------------

From: [email-masked] on 13/06/2000 20:27

To:   Jorg Schaible/DMGIB/DMG UK/DeuBa@DMG UK; [email-masked]
cc:
Subject:  RE: [ANNOUNCEMENT] Updated: make 3.79

FWIW I'm using an older b20.1 snapshot cygwin1.dll and I can't reproduce
this with make V3.79. The $(MAKE) macro expands to 'make' and the second
echo command is echoed by make before execution, as expected.

Regards,

  Dan Haynes

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Tuesday, June 13, 2000 2:46 PM
> To: [email-masked]
> Subject: Re: [ANNOUNCEMENT] Updated: make 3.79
>
>
>
>
> Hello,
>
> after some days using the new make 3.79 I found following problems:
>
> a) The archive make3-79.tar.gz in latest omits the make.info*
> files for version 3.79 provided by the FSF
> b) The variable MAKE should be automatically set to the file name
> used to invoke make. In 3.79 it seems to be a single space
> prohibiting the execution of recursive make commands following
> the advice given by the make manual.
> c) Using @ to hide the line echo within a define will treat all
> following lines as the @ was given too and the line echo is
> wrongly suppressed. This makes debugging of makefiles really painful.
>
> Bugs demonstrated with following makefile. Call
> make MAKE=`which make` SHOW=
> to see correct behaviour.
>
> Unfortunately I have no Linux system running to determine wether
> these are general make 3.79 bugs or bugs caused by the Cygwin port.
>
> Greetings
> Jörg
>
> ========= makefile ==========
>
> SHOW:=@
>
> define compile
>     $(SHOW)echo Compiling $@
>     -gcc $@ > /dev/null 2>&1
> endef
>
> test:
>     @echo -e Variable MAKE should be set to \"$(MAKE)\" automatically!
>     $(compile)
>     echo Echoed line
>
>
> ---------------------------------------- Message History
> ----------------------------------------
>
>
> From: [email-masked] on 09/06/2000 01:53
>
> Please respond to [email-masked]
>
> To:   [email-masked]
> cc:
> Subject:  [ANNOUNCEMENT] Updated: make 3.79
>
>
>
> I've uploaded a new version of make to sourceware/pub/cygwin/latest.
> This is make version 3.79 straight from the FSF with the usual Cygwin
> modifications to support the MAKE_MODE=unix, MAKE_MODE=windows, --unix,
> --windows, abomin.., er, features.
>
> I've also turned on the code in make which eats CRs before LFs so
> that it should no longer matter if a makefile has CRLF line endings
> in a binary mounted directory.
>
> To update your installation, CREATE AN EMPTY DIRECTORY, cd to it, and
> download the latest version of setup.exe from the cygwin/latest
> directory at a cygwin mirror site near you.  Then type:
>
> setup make
>
> Answer the questions as you did when you first installed cygwin.  This
> procedure should only update the make package.
>
> Once the setup is complete you may remove this newly created directory.
> It will contain the setup.exe program, a setup log file, and the
> make tar file.  None of these are needed for further operation of make
> but you can keep them around if you are interested in reinstalling
> stuff later.
>
> As usual, I have only updated sourceware.  The make files will take a
> while to propagate to the mirror sites.
>
> Also, note that I am not the normal Cygwin make maintainer.  Eric
> Christopher had volunteered for this duty and will be making future
> releases.  He's recently moved to a new job within Red Hat, however,
> and hasn't had a lot of time.  I thought I should make it a priority
> to make a new release of make which does not make funny error
> messages when
> confronted with files who were made with "incorrect" line endings.
>
> Christopher Faylor
> Cygwin Engineering Manager
> Red Hat, Inc.
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>
>
>
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]